Problème avec un outil de Gimp: traces verdâtres (résolu)

Gimp est le fabuleux logiciel open source de dessin 2D de qualité professionnelle.
Bebert
Messages : 271
Inscription : 30 déc. 2004, 17:08
Localisation : Nord (France)

Message par Bebert »

sylvsteph a écrit :Je voulais tester une distrib de Linux mais, d'une part, je ne sais pas laquelle prendre, et d'autre part mes périphériques (imprimantes et scanner) ne sont pas compatibles et il n'existe aucun pilote.

Sylvie

Idem pour moi, j'ai le même cas de conscience :wink:

P.S.: et j'ai même déjà dû tout reconfigurer (tout ré-installer) mon ordinateur après quelques erreurs de manip bêtes sur un live-CD... Ce qui m'a un peu refroidi :?
Gimp 2.8.22 et Kdenlive 18.12.1
-- Peppermint 9 (x86_64) sur Intel Celeron 900 CPU 2.20GHz / Intel GL40 Express - mémoire vive 3 Go
Aggie
Messages : 349
Inscription : 18 sept. 2005, 09:25
Localisation : Groland (partie Gascogne)
Contact :

Message par Aggie »

Les périph' non compatibles sont de la faute des fabricants, pas de la communauté. Par exemple, Brother publie les pilotes linux de tous ses périphériques et en documente soigneusement l'installation. Du coup, j'achète leur matos en priorité, puisqu'ils font cet effort.

Par contre, je boycotte SiS qui refuse de lâcher quoi que ce soit à la communauté, alors que rien que les spec nous permettraient de développer nous-mêmes les pilotes puisqu'ils sont trop nazes pour le faire eux-même.

Il existe des listing de compatibilité matérielle à consulter avant d'acheter une bécane. Les problèmes se concentrent essentiellement sur les bécanes flambant neuves qui regorgent de matos dernier cri (HAAAAAAA!), mais très rapidement, les pilotes arrivent.
Ceci dit, j'ai pu constaté chez des potes de gros problèmes de compatibilité matérielle aussi sous windows et ils n'ont pas de communauté de dev pour espérer une solution rapide à leur problème.

Pour flinguer une bécane avec un live CD, faut faire des manips déconseillées dans tous les cas de figure (bouger/effacer des fichiers système, par exemple), parce que sinon, par définition, le live CD n'installe rien sur le disque dur... :D
Ubuntu 14.04 LTS (64) | Scribus 1.4.2 en prod. | Pentax K10D & Sony RX100 | Photos | Graphiste 100% libre
Bebert
Messages : 271
Inscription : 30 déc. 2004, 17:08
Localisation : Nord (France)

Message par Bebert »

Aggie a écrit :Pour flinguer une bécane avec un live CD, faut faire des manips déconseillées dans tous les cas de figure (bouger/effacer des fichiers système, par exemple), parce que sinon, par définition, le live CD n'installe rien sur le disque dur... :D

Je n'ai rien fait de très méchant, n'étant pas "super-expert" ... juste voulu créer un endroit sur le disque dur où stocker des fichiers produits avec Linux, et, n'étant pas expert non plus, une mauvaise manip' a bloqué définitivement l'accès à mon disque même (et surtout) sous Windows.

C'est que, avec Linux beaucoup de choses se font par la ligne de commande, et, venant de Windows on n'a pas ou on a perdu cette habitude, même si j'ai commencé à utiliser un PC un peu avant l'apparition de Windows :wink: ... Il faudrait qu'ils bloquent certaines possibilités sur les Live CD mais à ce moment là on ne pourrait plus vraiment tester Linux ...

... j'attends de me trouver un second ordinateur pour tenter d'y installer une version de Linux (mais laquelle ?) :)
Gimp 2.8.22 et Kdenlive 18.12.1
-- Peppermint 9 (x86_64) sur Intel Celeron 900 CPU 2.20GHz / Intel GL40 Express - mémoire vive 3 Go
sylvsteph
Messages : 163
Inscription : 14 mars 2006, 00:06
Contact :

Message par sylvsteph »

Aggie a écrit :Les périph' non compatibles sont de la faute des fabricants, pas de la communauté. Par exemple, Brother publie les pilotes linux de tous ses périphériques et en documente soigneusement l'installation. Du coup, j'achète leur matos en priorité, puisqu'ils font cet effort.

Par contre, je boycotte SiS qui refuse de lâcher quoi que ce soit à la communauté, alors que rien que les spec nous permettraient de développer nous-mêmes les pilotes puisqu'ils sont trop nazes pour le faire eux-même.

Il existe des listing de compatibilité matérielle à consulter avant d'acheter une bécane. Les problèmes se concentrent essentiellement sur les bécanes flambant neuves qui regorgent de matos dernier cri (HAAAAAAA!), mais très rapidement, les pilotes arrivent.
Ceci dit, j'ai pu constaté chez des potes de gros problèmes de compatibilité matérielle aussi sous windows et ils n'ont pas de communauté de dev pour espérer une solution rapide à leur problème.

Pour flinguer une bécane avec un live CD, faut faire des manips déconseillées dans tous les cas de figure (bouger/effacer des fichiers système, par exemple), parce que sinon, par définition, le live CD n'installe rien sur le disque dur... :D


Je me rends bien compte que c'est la faute des constructeurs qui ne proposent pas sur leur site de pilotes pour Linux. Cependant il a beau exister des listings à consulter avant d'acheter du matériel, quand on a déjà le matériel c'est trop tard.
J'ai pour ma part eu la peur de la vie en voulant installer ubuntu sur un disque dur externe. Les feuilles que j'avais imprimées pour faire la manip étaient mélangées et le grub s'est installé sur mon disque interne où il y a windows et j'avais une erreur de grub en démarrant. Heureusement, en branchant le disque externe, je suis arrivée à démarrer sous windows et à restaurer le démarrage avec un logiciel. Mais du coup je n'ai pas eu envie de retenter l'expérience, d'autant plus que pour l'installation avec mandriva, j'ai encore moins bien compris que pour ubuntu et j'ai peur de faire une bêtise qui m'empêcherait de démarrer car j'ai besoin de windows pour faire fonctionner mes périphériques. Les logiciels je sais que je peux trouver à peu près l'équivalent sous linux. D'ailleurs, mes logiciels principaux maintenant sont compatibles tous OS: Scribus, Openoffice, Gimp, Inkscape... d'où ma présence sur ce forum car à part Openoffice que j'utilise depuis longtemps, pour le reste je les découvre depuis juillet.

Sylvie
http://www.rythmes-croises.org
maderios
Messages : 62
Inscription : 18 mars 2007, 18:49

Message par maderios »

< C'est que, avec Linux beaucoup de choses se font par la ligne de commande

Faux. Si on veut se compliquer la vie, on utilise la console et la ligne de commande, sinon on utilise les outils en mode graphique comme sur W$ et Mac.
J'ai installé mon premier Linux il y a 9 ans, une Redhat-5.2 et effectivement, certaines choses devaient passer par la console et la ligne de commandes. Ce temps là est terminé, notamment sur Debian.
Bebert
Messages : 271
Inscription : 30 déc. 2004, 17:08
Localisation : Nord (France)

Message par Bebert »

Bon mais alors, si on veut passer à Linux en venant de Windows XP sans être trop désappointé, par quelle version de Linux faut-il commencer ... objectivement, en mettant de côté toute préférence personnelle ?
:)

Je pense à un environnement qui ne diffère pas trop de Windows dans la logique, les manipulations, la gestion des fichiers, pour un utilisateur lambda n'ayant pas le niveau d'un expert, mais qui se débrouille quand même sur un ordinateur.
:wink:

P.S. : je sais que ce n'est pas vraiment le sujet de ce post, mais puisque la discussion a pris cette tournure, j'en profite un peu.
Gimp 2.8.22 et Kdenlive 18.12.1
-- Peppermint 9 (x86_64) sur Intel Celeron 900 CPU 2.20GHz / Intel GL40 Express - mémoire vive 3 Go
maderios
Messages : 62
Inscription : 18 mars 2007, 18:49

Message par maderios »

Bon mais alors, si on veut passer à Linux en venant de Windows XP sans être trop désappointé, par quelle version de Linux faut-il commencer ...

Ubuntu a bonne réputation concernant la facilité d'utilisation. De plus, tu bénéficieras d'une gestion des paquets très sûre (installe Synaptic qui te facilitera la vie) puisque Ubuntu est dérivée de Debian. Question environnement graphique, quand on veut du fonctionnel, on installe KDE qui est plus avancé que Gnome (mais moins beau, selon moi), et tu ne seras pas trop dépaysé.
http://www.kde.org/screenshots/kde350shots.php
Suédo
Messages : 12
Inscription : 06 sept. 2007, 12:49
Localisation : Dijon

Message par Suédo »

eclipse a écrit :Aucun sous avec ma Lenny/Sid -> Gimp 2.4.7

/Mode pensée !!
Étrange que je lise régulièrement qu'il y ait des soucis avec Ouboutou :?
/Fin


Cela le fait aussi avec Mandriva 2008!
Je pense que cela vient de la version de Gimp.

Me voici donc avec un Gimp inutilisable... :cry:
Je précise que ma version est la 2.4.5, celle qui est fournie par Synaptic.
Comment faire pour en installer une autre?

Je vois que vous avez dévié du sujet en parlant des différentes distribs Linux...!
maderios
Messages : 62
Inscription : 18 mars 2007, 18:49

Message par maderios »

< Me voici donc avec un Gimp inutilisable...

La dernière version est la 2.4.7, elle n'est pas fournie par Synaptic mais par ta distribution.
J'ai constaté ces marques vertes qui viennent des outils, en "cherchant la petite bête", par exemple en jouant du clic droit hors image. Comme si la fenêtre de Gimp gardait partiellement la mémoire du passage de l'outil. L'effet est aléatoire, non véritablement gênant puisqu'il disparaît par la suite et n'affecte pas l'image. On peut rapporter le bug ici :
http://bugzilla.gnome.org/simple-bug-guide.cgi

PS : j'ai compilé et testé Gimp-2.5.3, toujours des arcs de cercles verts si on promène le curseur hors de l'image à coups de clics droits...
eclipse
Messages : 864
Inscription : 05 sept. 2007, 18:16
Contact :

Message par eclipse »

Héllo Suédo !

Tu dois modifier ton "sources.list" et dé-commenter la ligne des "backports" (suprime le caractère #).

Ensuite tu ouvres Synaptic, tu recharges, tu cherches Gimp, et logiciquement, tu verras gimp en version 2.4.6. Sinon, tu sélectionnes la ligne de Gimp, puis tu feras, par le menu Paquet > Forcer la version
Tu auras une petite fenêtre qui te permettra de choisir la version...


Bon, un peu trolling, vue que déjà certains ont commencé, je vais continuer !!!

Alors, déjà, je m'adresse à Sylvie et sa crainte de périf non reconnue là. Pour ton imprimante, regarde voir à installer le paquet "openprinting-ppds" ... y a de grande chance pour qu'elle fonctionne après. :roll: Sinon pour ton Scanner, il y a une solution qui consiste à utiliser Wine.

Bon après, Ouboutou, c'est bien pour les utilisateurs novices, qui veulent surtout pas "apprendre" linux. Ca s'installe à peu bien, c'est moche, c'est lent, y a des méta-paquets (en veux-tu en voilà).... Sinon, dès qu'on veut creuser un peu, Ouboutou est "out" !!! Hormis le Tigre, peu de personnes ici causent de OpenSuse. La dernière version est tres rapide, un gestionnaire de paquets enfin viable, propre, assez zolie... facile à installer... Bref, pour les novices qui grrrrr avec la ligne de commande, je recommande OpenSuse. Bon sinon, si voulez compilez les versions de développement, il est clair que Debian est probablement la meilleure !!!

Je dirais aux novices .... Maitrisez linux n'est pas aussi simple que de se goinfrez de nutella !!!
.
"Quand je vois, j'oublie. Quand je lis, je retiens. Quand je fais, je comprends".
sylvsteph
Messages : 163
Inscription : 14 mars 2006, 00:06
Contact :

Message par sylvsteph »

OpenSuse... J'ai dû voir le site mais la doc pdf (pour lire dans le métro sur mon portable) étant en anglais, je l'ai rayée de la carte! Mon choix se fait sur la doc dispo en français et la vie du forum en français également. Le problème qui se pose aussi est de pouvoir installer ça sur le disque dur externe et de ne pas modifier le boot du disque dur interne.

Sylvie
http://www.rythmes-croises.org
sylvsteph
Messages : 163
Inscription : 14 mars 2006, 00:06
Contact :

Message par sylvsteph »

J'ai essayé hier soir la version liveCD, mais j'ai beau cliquer sur "français", je n'ai eu que la version anglaise + un écran décalé, un démarrage très lent...

Sylvie
http://www.rythmes-croises.org
Suédo
Messages : 12
Inscription : 06 sept. 2007, 12:49
Localisation : Dijon

Message par Suédo »

eclipse a écrit :Héllo Suédo !

Tu dois modifier ton "sources.list" et dé-commenter la ligne des "backports" (suprime le caractère #).

Ensuite tu ouvres Synaptic, tu recharges, tu cherches Gimp, et logiciquement, tu verras gimp en version 2.4.6. Sinon, tu sélectionnes la ligne de Gimp, puis tu feras, par le menu Paquet > Forcer la version
Tu auras une petite fenêtre qui te permettra de choisir la version...

.


J'ai été très longtemps sans Internet, ce qui explique cette réponse tardive...

Merci pour cette astuce, que je vais essayer un de ces jours.

A+
Suédo
Messages : 12
Inscription : 06 sept. 2007, 12:49
Localisation : Dijon

Message par Suédo »

Si, Gimp marche bien sous Ubuntu!
Le problème vient sans doute de mon pc.

Au fait! J'ai changé de distrib: je suis passé à Mandriva one 2010, après avoir essayé le CD live, et il n'y a plus de problème de traces verdâtres! :D
Répondre